%define module	Math-MatrixBool
%define name	perl-%{module}
%define version 5.7
%define release %mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Matrix of Booleans
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp.perl.org/pub/CPAN/modules/by-module/Math/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Bit::Vector)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README.txt
%{perl_vendorlib}/Math
%{_mandir}/*/*



%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 5.7-9mdv2010.0
+ Revision: 430500
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.7-8mdv2009.0
+ Revision: 241724
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-6mdv2008.0
+ Revision: 86613
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-5mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 5.7-4mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-3mdk
- spec cleanup
- %%mkrel
- better URL

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-2mdk
- fix buildrequires in a backward compatible way

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-1mdk 
- first mdk release

